Update a network pool

PUT/v1/network_pools/{network_pool_id}

Use a PUT request to the /v1/network_pools/{network_pool_id} endpoint to update the parameters of a pool. Choose a necessary one by adding its ID to the path parameter.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

network_pool_id*string

A unique identifier of a pool.

Request Body

application/json

Response Body

application/json

application/json

curl -X PUT "https://example.com/v1/network_pools/KQe1RaJY" \  -H "Content-Type: application/json" \  -d '{    "title": "new-network-pool-title",    "labels": {      "environment": "production",      "service": "my-web-app",      "example.com/project": "my-project",      "example.com/owner": "my-team"    }  }'
{  "id": "KQe1RaJY",  "title": "new-network-pool-title",  "cidr": "10.128.0.0/23",  "type": "private",  "location_ids": [    10  ],  "location_codes": [    "location19"  ],  "labels": {    "environment": "production",    "service": "my-web-app",    "example.com/project": "my-project",    "example.com/owner": "my-team"  },  "updated_at": "2026-05-28T06:54:47Z",  "created_at": "2026-05-28T06:54:47Z"}
{  "message": "Not found",  "code": "NOT_FOUND"}